Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.velocity.template
Class Tiles2Tool

    java.lang.Object
      org.apache.tiles.velocity.template.ContextHolder
          org.apache.tiles.velocity.template.VelocityStyleTilesTool
              org.apache.tiles.velocity.template.Tiles2Tool

Deprecated. Use Velocity directives.

    @Deprecated
    public class Tiles2Tool

extends VelocityStyleTilesTool

The Tiles tool to be used in Velocity templates. Most of the methods can be used in two ways:

- calling methods that accept a map of parameters: executes immediately the required model;
- calling methods without parameters: useful to include composition code inside a block. You need to call then `start(Map)`, then your code in the block, and then `end()`.

Since:
  2.2.0
Version:
  $Rev: 901361 $ $Date: 2010-01-20 21:10:27 +0100 (mer, 20 gen 2010) $

Constructor Summary
`Tiles2Tool()` Deprecated.

Method Summary
`Tiles2Tool` | `addAttribute()` Deprecated. Prepares the `AddAttributeVModel` for the execution with a block inside `start(Map)` and `end()` calls.
`Tiles2Tool` | `addAttribute(java.util.Map<java.lang.String,java.lang.Object> params)` Deprecated. Executes the `AddAttributeVModel`.
`Tiles2Tool` | `addListAttribute()` Deprecated. Prepares the `AddListAttributeVModel` for the execution with a block inside `start(Map)` and `end()` calls.
`Tiles2Tool` | `definition()` Deprecated. Prepares the `DefinitionVModel` for the execution with a block inside `start(Map)` and `end()` calls.
`Tiles2Tool` | `definition(java.util.Map<java.lang.String,java.lang.Object> params)` Deprecated. Executes the `DefinitionVModel`.
`org.apache.velocity.runtime.Renderable` | `end()` Deprecated. Ends a "model" after the execution of a block.
`Tiles2Tool` | `getAsString()` Deprecated. Prepares the `GetAsStringVModel` for the execution with a block inside `start(Map)` and `end()` calls.
`org.apache.velocity.runtime.Renderable` | `getAsString(java.util.Map<java.lang.String,java.lang.Object> params)` Deprecated. Executes the `GetAsStringVModel`.
`org.apache.velocity.runtime.Renderable` | `importAttribute(java.util.Map<java.lang.String,java.lang.Object> params)` Deprecated. Executes the `ImportAttributeVModel`.
`Tiles2Tool` | `insertAttribute()` Deprecated. Prepares the `InsertAttributeVModel` for the execution with a block inside `start(Map)` and `end()` calls.
`org.apache.velocity.runtime.Renderable` | `insertAttribute(java.util.Map<java.lang.String,java.lang.Object> params)` Deprecated. Executes the `InsertAttributeVModel`.
`Tiles2Tool` | `insertDefinition()` Deprecated. Prepares the `InsertDefinitionVModel` for the execution with a block inside `start(Map)` and `end()` calls.
`org.apache.velocity.runtime.Renderable` | `insertDefinition(java.util.Map<java.lang.String,java.lang.Object> params)` Deprecated. Executes the `InsertDefinitionVModel`.
`Tiles2Tool` | `insertTemplate()` Deprecated. Prepares the `InsertTemplateVModel` for the execution with a block inside `start(Map)` and `end()` calls.
`org.apache.velocity.runtime.Renderable` | `insertTemplate(java.util.Map<java.lang.String,java.lang.Object> params)` Deprecated. Executes the `InsertTemplateVModel`.
`Tiles2Tool` | `putAttribute()` Deprecated. Prepares the `PutAttributeVModel` for the execution with a block inside `start(Map)` and `end()` calls.
`Tiles2Tool` | `putAttribute(java.util.Map<java.lang.String,java.lang.Object> params)` Deprecated. Executes the `PutAttributeVModel`.
`Tiles2Tool` | `putListAttribute()` Deprecated. Prepares the `PutListAttributeVModel` for the execution with a block inside `start(Map)` and `end()` calls.
`Tiles2Tool` | `start(java.util.Map<java.lang.String,java.lang.Object> params)` Deprecated. Starts a "model" for the execution in a block.

Methods inherited from class org.apache.tiles.velocity.template.VelocityStyleTilesTool
`clone, createAttribute, createTemplateAttribute, endAttributeContext, get, getAttributeContext, render, renderAttributeContext, renderDefinition, setCurrentContainer, startAttributeContext, toString`

Methods inherited from class org.apache.tiles.velocity.template.ContextHolder
`getRequest, getResponse, getServletContext, getVelocityContext, setRequest, setResponse, setServletContext, setVelocityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tiles2Tool

    public Tiles2Tool()

  Deprecated.

Method Detail

### addAttribute

    public Tiles2Tool addAttribute(java.util.Map<java.lang.String,java.lang.Object> params)

  Deprecated.
  Executes the `AddAttributeVModel`.

  Parameters:
    `params` - The map of parameters.
  Returns:
    The tool itself.
  Since:
    2.2.0
  See Also:
    `AddAttributeModel`

### addAttribute

    public Tiles2Tool addAttribute()

  Deprecated.
  Prepares the `AddAttributeVModel` for the execution with a block inside `start(Map)` and `end()` calls.

  Returns:
    The tool itself.
  Since:
    2.2.0
  See Also:
    `AddAttributeModel`

### addListAttribute

    public Tiles2Tool addListAttribute()

  Deprecated.
  Prepares the `AddListAttributeVModel` for the execution with a block inside `start(Map)` and `end()` calls.

  Returns:
    The tool itself.
  Since:
    2.2.0
  See Also:
    `AddListAttributeModel`

### definition

    public Tiles2Tool definition(java.util.Map<java.lang.String,java.lang.Object> params)

  Deprecated.
  Executes the `DefinitionVModel`.

  Parameters:
    `params` - The map of parameters.
  Returns:
    The tool itself.
  Since:
    2.2.0
  See Also:
    `DefinitionModel`

### definition

    public Tiles2Tool definition()

  Deprecated.
  Prepares the `DefinitionVModel` for the execution with a block inside `start(Map)` and `end()` calls.

  Returns:
    The tool itself.
  Since:
    2.2.0
  See Also:
    `DefinitionModel`

### getAsString

    public org.apache.velocity.runtime.Renderable getAsString(java.util.Map<java.lang.String,java.lang.Object> params)

  Deprecated.
  Executes the `GetAsStringVModel`.

  Parameters:
    `params` - The map of parameters.
  Returns:
    A renderable object that renders an attribute as a string.
  Since:
    2.2.0
  See Also:
    `GetAsStringModel`

### getAsString

    public Tiles2Tool getAsString()

  Deprecated.
  Prepares the `GetAsStringVModel` for the execution with a block inside `start(Map)` and `end()` calls.

  Returns:
    The tool itself.
  Since:
    2.2.0
  See Also:
    `GetAsStringModel`

### importAttribute

    public org.apache.velocity.runtime.Renderable importAttribute(java.util.Map<java.lang.String,java.lang.Object> params)

  Deprecated.
  Executes the `ImportAttributeVModel`.

  Parameters:
    `params` - The map of parameters.
  Returns:
    A renderable object that does not write anything, but imports attribute values when invoked.
  Since:
    2.2.0
  See Also:
    `ImportAttributeModel`

### insertAttribute

    public org.apache.velocity.runtime.Renderable insertAttribute(java.util.Map<java.lang.String,java.lang.Object> params)

  Deprecated.
  Executes the `InsertAttributeVModel`.

  Parameters:
    `params` - The map of parameters.
  Returns:
    A renderable object that renders an attribute.
  Since:
    2.2.0
  See Also:
    `InsertAttributeModel`

### insertAttribute

    public Tiles2Tool insertAttribute()

  Deprecated.
  Prepares the `InsertAttributeVModel` for the execution with a block inside `start(Map)` and `end()` calls.

  Returns:
    The tool itself.
  Since:
    2.2.0
  See Also:
    `InsertAttributeModel`

### insertDefinition

    public org.apache.velocity.runtime.Renderable insertDefinition(java.util.Map<java.lang.String,java.lang.Object> params)

  Deprecated.
  Executes the `InsertDefinitionVModel`.

  Parameters:
    `params` - The map of parameters.
  Returns:
    A renderable object that renders a definition.
  Since:
    2.2.0
  See Also:
    `InsertDefinitionModel`

### insertDefinition

    public Tiles2Tool insertDefinition()

  Deprecated.
  Prepares the `InsertDefinitionVModel` for the execution with a block inside `start(Map)` and `end()` calls.

  Returns:
    The tool itself.
  Since:
    2.2.0
  See Also:
    `InsertDefinitionModel`

### insertTemplate

    public org.apache.velocity.runtime.Renderable insertTemplate(java.util.Map<java.lang.String,java.lang.Object> params)

  Deprecated.
  Executes the `InsertTemplateVModel`.

  Parameters:
    `params` - The map of parameters.
  Returns:
    A renderable object that renders a template.
  Since:
    2.2.0
  See Also:
    `InsertTemplateModel`

### insertTemplate

    public Tiles2Tool insertTemplate()

  Deprecated.
  Prepares the `InsertTemplateVModel` for the execution with a block inside `start(Map)` and `end()` calls.

  Returns:
    The tool itself.
  Since:
    2.2.0
  See Also:
    `InsertTemplateModel`

### putAttribute

    public Tiles2Tool putAttribute(java.util.Map<java.lang.String,java.lang.Object> params)

  Deprecated.
  Executes the `PutAttributeVModel`.

  Parameters:
    `params` - The map of parameters.
  Returns:
    The tool itself.
  Since:
    2.2.0
  See Also:
    `PutAttributeModel`

### putAttribute

    public Tiles2Tool putAttribute()

  Deprecated.
  Prepares the `PutAttributeVModel` for the execution with a block inside `start(Map)` and `end()` calls.

  Returns:
    The tool itself.
  Since:
    2.2.0
  See Also:
    `PutAttributeModel`

### putListAttribute

    public Tiles2Tool putListAttribute()

  Deprecated.
  Prepares the `PutListAttributeVModel` for the execution with a block inside `start(Map)` and `end()` calls.

  Returns:
    The tool itself.
  Since:
    2.2.0
  See Also:
    `PutListAttributeModel`

### start

    public Tiles2Tool start(java.util.Map<java.lang.String,java.lang.Object> params)

  Deprecated.
  Starts a "model" for the execution in a block.

  Parameters:
    `params` - The map of parameters.
  Returns:
    The tool itself.
  Since:
    2.2.0

### end

    public org.apache.velocity.runtime.Renderable end()

  Deprecated.
  Ends a "model" after the execution of a block.

  Returns:
    A renderable object. It can render actually something, or execute code needed to the execution of parent models.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.